/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 *
 * Author: TCSDEVELOPER, TCSDESIGNER
 * Version: 2.0
 */

namespace TopCoder.Web.UI.WebControl.BreadCrumb
{
    /// <summary>
    /// This enumeration describes the values the path direction can allow. The path direction is used by the bread
    /// crumb trail control to determine the direction to render the path in (the path is the first node to the last
    /// node).
    /// </summary>
    /// <remarks>
    /// This enumeration can be specified by the user in either the tags or control of the IDE. The path direction is
    /// then set in the bread control trail tag and stored in the view state of the control. The bread crumb trail
    /// control will then use this value in the render process to render the path in the correct order.
    /// </remarks>
    public enum PathDirection : int
    {
        /// <summary>
        /// This enumeration constant represents a rendering process from root node to current node. In other words
        /// the first node will be the root node, while the last node is the current node.
        /// </summary>
        /// <value>
        /// 0
        /// </value>
        RootToCurrent = 0,
        /// <summary>
        /// This enumeration constant represents a rendering process from current node to root node. In other words,
        /// the first node will be the current node, while the last node is the root node.
        /// </summary>
        /// <value>
        /// 1
        /// </value>
        CurrentToRoot = 1
    }
}
